Bug 143358 - EDITING Inserting a new row to a table is not recorded as tracked change
Summary: EDITING Inserting a new row to a table is not recorded as tracked change
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2021-07-14 13:45 UTC by NISZ LibreOffice Team
Modified: 2021-11-09 19:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The example file with the table created in Writer and a row inserted with TC enabled (13.30 KB, application/vnd.oasis.opendocument.text)
2021-07-14 13:45 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (69.70 KB, image/png)
2021-07-14 13:45 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-07-14 13:45:22 UTC
Created attachment 173562 [details]
The example file with the table created in Writer and a row inserted with TC enabled

Inserting a new row to an existing table with Track Changes turned on does not appear in the Manage Changes panel.

Steps to reproduce:
1.	Open attached .odt file in Writer.
2.	Insert a new empty row to the table.
3.	Under the Manage Changes panel, this information is not recorded/displayed.

Actual results:
We can’t see the inserted row in the Manage changes panel.

Expected results:
This information should be displayed in the Manage Changes panel.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bd2f2273d83dcca43eb6b465308707efd45e7adf
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2021-07-14 13:45:43 UTC
Created attachment 173563 [details]
Screenshot of the problem in Writer
Comment 2 Buovjaga 2021-07-19 08:54:24 UTC
Repro

NixOS
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: b1df9c67349cf4cc5be4128d797aefb87f50e38f
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: x11
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2021-09-22 17:57:06 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dbc82c02eb24ec1c97c6ee32069771d8deb394f9

tdf#143358 sw: track insertion of empty table rows

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-10-04 10:59:21 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c2de581d1943df2d84f2b71817b6a8bee41f0217
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded